### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.deployment

# Class DependentServicesException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sas.util.ChainedException
com.sas.services.ServiceException
com.sas.services.deployment.DependentServicesException

All Implemented Interfaces:
  `com.sas.util.ChainedExceptionInterface`, `Serializable`

@SASScope("ALL") @BinaryCompatibilityOnly public class DependentServicesException extends ServiceException
Exception used to indicate that a request to delete a metadata object has been rejected because a service that is not being deleted is dependent upon a service being deleted.

Since:
  9.2
See Also:
  - Serialized Form

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final com.sas.metadata.remote.DeployedComponent`
  `getDeleteObject()`
  Gets the metadata object for which a deletion was attempted.
  `final com.sas.metadata.remote.DeployedComponent`
  `getDependencyObject()`
  Gets the metadata object which depends upon an object for which a deletion was attempted.
  `final String`
  `getLocalizedMessage()`
  Gets a message detailing the service dependency which is preventing a deletion request from being accepted.
  `final String`
  `getMessage()`
  Gets a message detailing the service dependency which is preventing a deletion request from being accepted.

  ### Methods inherited from class com.sas.util.ChainedException

  `chainContains, getRootException, getRootException, getTargetException, getTargetException, printStackTrace, printStackTrace, printStackTrace, toString, toStringBuffer`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getDeleteObject

    public final com.sas.metadata.remote.DeployedComponent getDeleteObject()
    Gets the metadata object for which a deletion was attempted.
    Returns:
      The metadata object for which a deletion was attempted or `null` if not available.

  - ### getDependencyObject

    public final com.sas.metadata.remote.DeployedComponent getDependencyObject()
    Gets the metadata object which depends upon an object for which a deletion was attempted.
    Returns:
      The metadata object which has a dependency upon an object for which a deletion was attempted or `null` if not available.

  - ### getMessage

    public final String getMessage()
    Gets a message detailing the service dependency which is preventing a deletion request from being accepted.
    Overrides:
      `getMessage` in class `Throwable`
    Returns:
      Message detailing the reason why the deletion request was rejected.

  - ### getLocalizedMessage

    public final String getLocalizedMessage()
    Gets a message detailing the service dependency which is preventing a deletion request from being accepted.
    Overrides:
      `getLocalizedMessage` in class `Throwable`
    Returns:
      Message detailing the reason why the deletion request was rejected.